All documentation

Identity status inquiry

Access Endpoint URL: <https://rest.everyware.com/api/v1/identity-score/QueryIdentityVerificationRequestLinkActivity [POST]

You can ascertain the status of identity requests via API. Identity requests encompass both Identity Match and ID Document Verification solutions.

In general, the Api endpoint will return a successful response (HTTP Status: 200 OK) unless there is some kind of exception while executing the query. The message will specify some information about the query results.

  • If no records match search criteria, the message will say "The query did not return any results matching the specified search criteria."
  • If some records match search criteria, the message will say something like "The query returned (6) results matching the specified search criteria."

Inbound Parameters

Parameters should be passed in a single JSON-body object.

Parameter Name Description Optional/Required
encryptedShortCode A specific short code associated with a request. If not specified, data will not be filtered by any short code. Optional
idVerificationType Type of id verification request\ Null - All\ 1 - ID Match\ 2 - ID Document Verification - no liveness\ 3 - ID Document Verification - with liveness Optional
firstName First Name of Customer. if not specified, data will not be filtered by any first name Optional
lastName Last Name of Customer. if not specified, data will not be filtered by any last name Optional
phoneNumber Mobile phone number of customer, provided in 10 digit format: Example: 3055551212\ Must be a valid mobile number or the transaction will be declined\ If not specified, data will not be filtered by any phone number Optional
queryStartDate Query start date - Expects U.S. with century "MM/DD/YYYY" format\ if not specified, data will not be filtered by any dates Optional
queryEndDate Query end date - Expects U.S. with century "MM/DD/YYYY" format\ if not specified, but queryStartDate has a value, the queryEndDate will be set to same value.\ if specified, queryEndDate must be greater than or equal to queryStartDate Optional

Response Parameters

Parameter Name Description
firstName First name of the customer.
lastName Last name of the customer.
phoneNumber Mobile phone number of the customer.
dateAddedUtc
dateExpiresUtc
active
correlationID Everyware unique identifier of the request.
encryptedShortCode The unique ID of the ID document verification request. Generally a 4 character code (may be expanded in future).
attempts For ID document Verification - the number of attempt the consumer has made to verify the document.
pass
completed
completeddateUtc ID Document Verification - date the consumer completed the verification.
requestIDVerificationType Type of verification request\ 1 - Identity Match\ 2 - ID Document Verification - no liveness check\ 3 - ID Document Verification - with liveness check
validThroughDateUtc The date that the verification is valid through, as defined by the merchant business rules and configured in the Everyware platform (portal).
successful
message
requestActivityIdVerificationType
documentType The type of document verified - U.S. passport, Driver's license, or State ID.
docDateofExpiry Date of expiration of the document verified.
docAuthenticityScore Authenticity score of the document verified - over .90 passed the authenticity check.
activityDateAddedUtc

Sample Code

{
    "encryptedShortCode": null,
    "idVerificationType": 2,
    "phoneNumber": "2185552255",
    "firstName": "Robert",
    "lastName": "Smith",
    "queryStartDate": "10/30/2023",
    "queryEndDate": "11/03/2023"
}
curl --location 'https://rest.everyware.com/api/v1/identity-score/identity-verification-request' \
--header 'Authorization: Basic [xxx]' \
--header 'Content-Type: application/json' \
--data-raw ' {

}'
{
  "Data": [
    {
      "firstName": "Robert",
      "lastName": "Smith",
      "phoneNumber": "2185552255",
      "dateAddedUtc": "2023-11-02T20:45:03.08",
      "dateExpiresUtc": "2023-11-09T20:45:03.08",
      "active": true,
      "correlationId": "147bb407-dfa6-44eb-9d8d-37594e2dc64b",
      "encryptedShortCode": "LF9A",
      "attempts": 0,
      "pass": null,
      "completed": null,
      "completedDateUtc": null,
      "requestIdVerificationType": 2,
      "validThroughDateUtc": null,
      "successful": null,
      "message": null,
      "requestActivityIdVerificationType": null,
      "documentType": null,
      "docDateOfExpiry": null,
      "docAuthenticityScore": null,
      "activityDateAddedUtc": null
    },
    {
      "firstName": "Robert",
      "lastName": "Smith",
      "phoneNumber": "2185552255",
      "dateAddedUtc": "2023-11-02T06:33:50.28",
      "dateExpiresUtc": "2023-11-05T06:33:50.28",
      "active": true,
      "correlationId": "92049968-36b7-4bb2-83f7-3b2ef0355980",
      "encryptedShortCode": "LF9F",
      "attempts": 0,
      "pass": null,
      "completed": null,
      "completedDateUtc": null,
      "requestIdVerificationType": 2,
      "validThroughDateUtc": null,
      "successful": null,
      "message": null,
      "requestActivityIdVerificationType": null,
      "documentType": null,
      "docDateOfExpiry": null,
      "docAuthenticityScore": null,
      "activityDateAddedUtc": null
    }
  ],
  "IsSuccessful": true,
  "Message": "The query returned (2) results matching the specified search criteria."
}